routes/web.php
<?php

use Illuminate\Http\Client\Request;
use Illuminate\Support\Facades\Route;
use Telegram\Bot\Api;
use Telegram\Bot\Laravel\Facades\Telegram;
use Telegram\Bot\Keyboard\Keyboard;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {



    return view('layouts.app');
});



Route::get('set-webhook', function () {

    $telegram = new Api('2026257510:AAEREJeZ8pwDDiovWGb6WUB6nucbFlXBBqo');

    $response = $telegram->setWebhook(['url' => 'https://imdbserial.xyz/bot2026257510:AAEREJeZ8pwDDiovWGb6WUB6nucbFlXBBqo/webhook']);
    return $response;
});


Route::post('/bot2026257510:AAEREJeZ8pwDDiovWGb6WUB6nucbFlXBBqo/webhook', [App\Http\Controllers\WebhookController::class, 'main']);




Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::post('/edit/remove-config', [App\Http\Controllers\HomeController::class, 'editRemoveConf'])->name('edit.remove.conf');


Route::resource('/token', App\Http\Controllers\TokenController::class);

resources/views/home.blade.php
@extends('layouts.app')

@section('content')

<table id="table_id" class="table table-striped table-bordered"  class="display">
    <thead>
        <tr>
            <th>token_id</th>
            <th>caption</th>
            <th>type</th>
            <th>downloaded</th>


            <th>delete</th>
        </tr>
    </thead>
    <tbody>
        
        @foreach ($tokens as $token )
        @foreach ($token->files as $file )
        <tr>
            <td>{{$token->id}}</td>
            <td>{{$file->caption}}</td>
            <td>{{$file->type}}</td>
            <td>{{$token->count}}</td>


            <td>
                <form action="{{route('token.destroy',$file->id)}}" method="POST">
                    @csrf
                    @method('DELETE')
                    <input type="submit" value=" delete "class="btn btn-danger">
                </form></td>

        </tr>
        @endforeach
        @endforeach

    </tbody>
</table>
@endsection